
"""
$Id: testRevisionManager.py,v 1.1.1.1 2003/10/17 12:07:42 philikon Exp $
"""

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

from Testing import ZopeTestCase
from Products.RevisionManager.RevisionManager import RevisionManager
from Products.RevisionManager.interfaces.RevisionManager \
     import IRevisionManager, IRevisionManagerZMI

ZopeTestCase.installProduct('RevisionManager')

class RevisionManagerTest(ZopeTestCase.ZopeTestCase):

    def afterSetUp(self):
        pass

    def afterClear(self):
        pass

    def test_verify_interface(self):
        """Verify interface implementation"""
        from Interface.Verify import verifyClass
        self.failUnless(verifyClass(IRevisionManager, RevisionManager))

    #XXX

class RevisionManagerZMITest(ZopeTestCase.ZopeTestCase):

    def afterSetUp(self):
        pass

    def afterClear(self):
        pass

    def test_verify_interface(self):
        """Verify interface implementation"""
        from Interface.Verify import verifyClass
        #XXX doesn't work with Attributes; try verifyObject
        #self.failUnless(verifyClass(IRevisionManagerZMI, RevisionManager))

    # Don't need much more here

# boiler plate
            
if __name__ == '__main__':
    framework(descriptions=1, verbosity=2)
else:
    import unittest
    def test_suite():
        suite = unittest.TestSuite()
        suite.addTest(unittest.makeSuite(RevisionManagerTest))
        suite.addTest(unittest.makeSuite(RevisionManagerZMITest))
        return suite
